﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Client.ServiceRef;

namespace Client
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                SampleMethodContractClient proxy = new SampleMethodContractClient();

                Console.WriteLine(proxy.OCMethodOne("aaa"));

                Console.WriteLine(proxy.OCMethodTwo("bbb"));

                proxy.OCMethodThreeCompleted += new EventHandler<OCMethodThreeCompletedEventArgs>(proxy_OCMethodThreeCompleted);
                proxy.OCMethodThreeAsync("ccc");
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.Message);
            }
            Console.Read();
        }

        static void proxy_OCMethodThreeCompleted(object sender, OCMethodThreeCompletedEventArgs e)
        {
            Console.WriteLine(e.Result);
        }
    }
}

